import { CssCascade } from "./public-api";
export class BorderCollapse {
    constructor(value) {
        this.value = value;
    }
    isCollapse() {
        return this.value === "collapse";
    }
    isSeparate() {
        return this.value === "separate";
    }
    static load(element) {
        const value = CssCascade.getValue(element, "border-collapse");
        return new BorderCollapse(value);
    }
}
//# sourceMappingURL=border-collapse.js.map