import { NehanElement } from './public-api';
declare type BoxSizingValue = "content-box" | "padding-box" | "border-box";
export declare class BoxSizing {
    private value;
    constructor(value: BoxSizingValue);
    static load(element: NehanElement): BoxSizing;
    isContentBox(): boolean;
    isPaddingBox(): boolean;
    isBorderBox(): boolean;
}
export {};
