import { CssCascade, } from './public-api';
export class BoxSizing {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        const value = CssCascade.getValue(element, "box-sizing");
        return new BoxSizing(value);
    }
    isContentBox() {
        return this.value === "content-box";
    }
    isPaddingBox() {
        return this.value === "padding-box";
    }
    isBorderBox() {
        return this.value === "border-box";
    }
}
//# sourceMappingURL=box-sizing.js.map