import { Selector } from "./public-api";
export class ClassSelector extends Selector {
    constructor(class_name) {
        super();
        this.className = class_name;
        this.specificity.b = 1;
    }
    toString() {
        return "." + this.className;
    }
    test(element) {
        return element.classList.contains(this.className);
    }
}
//# sourceMappingURL=class-selector.js.map