import { Selector, CompoundSelector, PseudoElementSelector, NehanElement } from "./public-api";
export declare class ComplexSelector extends Selector {
    private selectors;
    private combinators;
    constructor(selectors: CompoundSelector[], combinators: string[]);
    getSelectorItem(index: number): CompoundSelector;
    getCombinatorItem(index: number): string;
    static compare(selector1: ComplexSelector, selector2: ComplexSelector): number;
    private getSpecificity;
    get leafSelector(): CompoundSelector;
    get peSelector(): PseudoElementSelector | null;
    toString(): string;
    queryDirectParent(element: NehanElement, parent_sel: CompoundSelector): NehanElement | null;
    queryParent(element: NehanElement, selector: CompoundSelector): NehanElement | null;
    queryDirectSibling(element: NehanElement, selector: CompoundSelector): NehanElement | null;
    querySibling(element: NehanElement, prev_selector: CompoundSelector): NehanElement | null;
    queryLeft(left: CompoundSelector, cmb: string, elm: NehanElement): NehanElement | null;
    querySelectorAll(element: NehanElement): NehanElement[];
    querySelector(element: NehanElement): NehanElement | null;
    test(element: NehanElement, matchAsPeOwner?: boolean): boolean;
}
