import { Selector, PseudoElementSelector, SimpleSelectors, Specificity, NehanElement } from "./public-api";
export declare class CompoundSelector extends Selector {
    private univSelector;
    private idSelector;
    private typeSelector;
    private attrSelector;
    private classSelectors;
    private pseudoClasses;
    pseudoElement: PseudoElementSelector | null;
    constructor(args: SimpleSelectors);
    getTagName(): string;
    getSpecificity(): Specificity;
    toString(): string;
    get leafSelector(): string;
    querySelector(element: NehanElement): NehanElement | null;
    querySelectorAll(element: NehanElement): NehanElement[];
    private testClasses;
    private testPseudoClasses;
    test(element: NehanElement, matchAsPeOwner?: boolean): boolean;
}
