import { NehanElement, CssStyleDeclaration, ComplexSelector, PseudoElementSelector } from "./public-api";
export declare class CssRule {
    selector: ComplexSelector;
    style: CssStyleDeclaration;
    constructor(selector: ComplexSelector, style: CssStyleDeclaration);
    toString(): string;
    test(element: NehanElement, matchAsPeOwner?: boolean): boolean;
    get pseudoElementName(): string;
    get peSelector(): PseudoElementSelector | null;
    getPropertyValue(prop: string): string | null;
    static compare(rule1: CssRule, rule2: CssRule): number;
}
