import { NehanElement, CssRule, CssStyleDeclaration, CssRules, CssDeclarationBlock } from "./public-api";
export declare class CssStyleSheet {
    private rules;
    constructor(cssRules?: CssRules);
    private sort;
    mergeStyleSheet(stylesheet: CssStyleSheet): this;
    getPseudoRules(): CssRule[];
    getStyleOfElement(element: NehanElement): CssStyleDeclaration;
    addCssRules(rules: CssRules): CssStyleSheet;
    addRule(selector: string, declrBlock: CssDeclarationBlock): CssStyleSheet;
}
