import { DomCallbackContext, IFlowRootFormatContext } from "./public-api";
export declare type DomCallbackValue = (context: DomCallbackContext) => void;
export declare class DomCallback {
    selector: string;
    name: string;
    callback: DomCallbackValue;
    constructor(selector: string, name: string, callback: DomCallbackValue);
    call(box: any, dom: HTMLElement, flowRoot: IFlowRootFormatContext): void;
}
