export class DomCallback {
    constructor(selector, name, callback) {
        this.selector = selector;
        this.name = name;
        this.callback = callback;
    }
    call(box, dom, flowRoot) {
        return this.callback({
            selector: this.selector,
            name: this.name,
            box,
            dom,
            flowRoot,
        });
    }
}
//# sourceMappingURL=dom-callback.js.map