export declare type ParenType = "open" | "close" | "none";
export declare type KinsokuPos = "head" | "tail" | "none";
export interface DualCharInfo {
    readonly parenType: ParenType;
    readonly kinsokuPos: KinsokuPos;
    readonly kernEnable: boolean;
    readonly hangEnable: boolean;
    readonly rotatable: boolean;
    readonly isSmall: boolean;
}
