import { NehanElement, ILayoutFormatContext } from "./public-api";
export interface DynamicStyleContextValue {
    selector: string;
    name: string;
    element: NehanElement;
    parentContext?: ILayoutFormatContext;
}
export declare class DynamicStyleContext {
    selector: string;
    name: string;
    element: NehanElement;
    parentContext?: ILayoutFormatContext;
    constructor(value: DynamicStyleContextValue);
    setExternalDOM($dom: HTMLElement): void;
    get fontSize(): number;
    get remSize(): number;
    get emSize(): number;
    get lineHeight(): number;
    get restContextBoxExtent(): number;
}
