import { DynamicStyleContext, DynamicStyleCallback, CssDeclarationBlock } from "./public-api";
export declare class DynamicStyleUtils {
    static requiredExtent(requiredExtent: number): DynamicStyleCallback;
    static smartHeader(ctx: DynamicStyleContext): CssDeclarationBlock | undefined;
    static smartBorderBreak(ctx: DynamicStyleContext): CssDeclarationBlock | undefined;
    static breakPoint(ctx: DynamicStyleContext): CssDeclarationBlock | undefined;
    static replaceContent(fn_replace: (content: string, ctx: DynamicStyleContext) => string): (ctx: DynamicStyleContext) => CssDeclarationBlock | undefined;
}
