import { LayoutSection, ILayoutOutlineCallbacks } from "./public-api";
export declare class LayoutOutlineParser {
    static parseSection(section: LayoutSection, callbacks?: ILayoutOutlineCallbacks): HTMLElement;
    static parseSectionRoot(section: LayoutSection, callbacks: ILayoutOutlineCallbacks): HTMLElement;
    static parseSectionNode(section: LayoutSection, callbacks: ILayoutOutlineCallbacks): HTMLElement;
    static parseSectionLeaf(section: LayoutSection, callbacks: ILayoutOutlineCallbacks): HTMLElement;
    static appendSectionChildren(parent: HTMLElement, children: LayoutSection[], callbacks: ILayoutOutlineCallbacks): void;
}
