import { InlineNodeGenerator, LayoutResult, } from './public-api';
export class LineBreakGenerator extends InlineNodeGenerator {
    *createGenerator() {
        while (this.context.restExtent < this.context.env.font.lineExtent) {
            yield LayoutResult.pageBreak(this.context, "line break, lineExtent not enough");
        }
        yield LayoutResult.lineBreak(this.context, "<br>");
    }
}
//# sourceMappingURL=line-break-generator.js.map