import { CssCascade, } from "./public-api";
export class ListStylePosition {
    constructor(value) {
        this.value = value;
    }
    isOutside() {
        return this.value === 'outside';
    }
    isInside() {
        return this.value === 'inside';
    }
    static load(element) {
        let value = CssCascade.getValue(element, "list-style-position");
        return new ListStylePosition(value);
    }
}
//# sourceMappingURL=list-style-position.js.map