import { NehanElement } from "./public-api";
export declare type ListStyleTypeValue = "none" | "disc" | "circle" | "square" | "decimal";
export declare class ListStyleType {
    value: ListStyleTypeValue;
    static property: string;
    static load(element: NehanElement): ListStyleType;
    constructor(value: ListStyleTypeValue);
    isNone(): boolean;
    isTcyMarker(): boolean;
    getMarkerText(index: number): string;
}
