import { ListStylePosition, ListStyleType, NehanElement, CssText, PropValue } from "./public-api";
export declare class ListStyle {
    position: ListStylePosition;
    type_: ListStyleType;
    image: string;
    isNone(): boolean;
    isPositionOutside(): boolean;
    isPositionInside(): boolean;
    isTcyMarker(): boolean;
    getMarkerText(index: number): string;
    insertMarkerText(element: NehanElement): void;
    static load(element: NehanElement): ListStyle;
    static loadImage(element: NehanElement): string;
    static inferProp(value: string): string;
    static parseShorthand(cssText: CssText): PropValue<string, string>[];
}
