import { LogicalEdge, LogicalEdgeValue, CssText, NehanElement, PropValue, ILogicalCssEvaluator, NativeStyleMap } from "./public-api";
export declare class LogicalBorderColor extends LogicalEdge<string> {
    static parseShorthand(css_text: CssText): PropValue<string, string>[];
    static load(element: NehanElement): LogicalBorderColor;
    static get none(): LogicalBorderColor;
    static get noneValue(): LogicalEdgeValue<string>;
    clone(): LogicalBorderColor;
    getPropByLogicalDirection(direction: string): string;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
}
