import { CssCascade, } from "./public-api";
export class LogicalClear {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        let value = CssCascade.getValue(element, "clear");
        return new LogicalClear(value);
    }
    isNone() {
        return this.value === 'none';
    }
    isStart() {
        return this.value === 'start';
    }
    isEnd() {
        return this.value === 'end';
    }
    isBoth() {
        return this.value === 'both';
    }
}
//# sourceMappingURL=logical-clear.js.map