import { LogicalEdgeSize, PropValue, CssText, NehanElement, ILogicalCssEvaluator, NativeStyleMap } from "./public-api";
export declare class LogicalMargin extends LogicalEdgeSize {
    static parseShorthand(css_text: CssText): PropValue<string, string>[];
    static load(element: NehanElement): LogicalMargin;
    static get none(): LogicalMargin;
    clone(): LogicalMargin;
    getPropByLogicalDirection(direction: string): string;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
}
