import { LogicalEdgeSize, CssText, PropValue, NehanElement, ILogicalCssEvaluator, NativeStyleMap } from "./public-api";
export declare class LogicalPadding extends LogicalEdgeSize {
    static parseShorthand(css_text: CssText): PropValue<string, string>[];
    static load(element: NehanElement): LogicalPadding;
    static get none(): LogicalPadding;
    clone(): LogicalPadding;
    getPropByLogicalDirection(direction: string): string;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
}
