import { LogicalCursorPos, ILogicalCursorPos, LogicalSize } from "./public-api";
export declare class LogicalRect {
    pos: LogicalCursorPos;
    size: LogicalSize;
    constructor(pos: LogicalCursorPos, size: LogicalSize);
    toString(): string;
    canContain(size: LogicalSize): boolean;
    translate(value: ILogicalCursorPos): LogicalRect;
    collideWith(rect: LogicalRect): boolean;
    get extent(): number;
    set extent(size: number);
    get measure(): number;
    set measure(size: number);
    get start(): number;
    set start(size: number);
    get before(): number;
    set before(size: number);
    get end(): number;
    get after(): number;
}
