import { NehanElement } from "./public-api";
export declare type LogicalTextAlignValue = "start" | "end" | "center" | "justify";
export declare class LogicalTextAlign {
    value: LogicalTextAlignValue;
    constructor(value: LogicalTextAlignValue);
    static load(element: NehanElement): LogicalTextAlign;
    isStart(): boolean;
    isEnd(): boolean;
    isCenter(): boolean;
    isJustify(): boolean;
}
