import { NehanElement } from "./public-api";
export declare type PageBreakValue = "auto" | "always" | "left" | "right" | "avoid";
export declare class PageBreakAfter {
    value: PageBreakValue;
    constructor(value: PageBreakValue);
    isAlways(): boolean;
    static load(element: NehanElement): PageBreakAfter;
}
export declare class PageBreakBefore {
    value: PageBreakValue;
    constructor(value: PageBreakValue);
    isAlways(): boolean;
    static load(element: NehanElement): PageBreakBefore;
}
