import { CssCascade, } from "./public-api";
export class PageBreakAfter {
    constructor(value) {
        this.value = value;
    }
    isAlways() {
        return this.value === "always";
    }
    static load(element) {
        let value = CssCascade.getValue(element, "page-break-after");
        return new PageBreakAfter(value);
    }
}
export class PageBreakBefore {
    constructor(value) {
        this.value = value;
    }
    isAlways() {
        return this.value === "always";
    }
    static load(element) {
        let value = CssCascade.getValue(element, "page-break-before");
        return new PageBreakBefore(value);
    }
}
//# sourceMappingURL=page-break.js.map