import { NehanElement, WritingMode, LogicalSize } from "./public-api";
export interface PhysicalSizeValue {
    width: number;
    height: number;
}
export declare class PhysicalSize {
    width: number;
    height: number;
    constructor(size: PhysicalSizeValue);
    static load(element: NehanElement): PhysicalSize;
    getLogicalSize(writing_mode: WritingMode): LogicalSize;
    getExtent(writing_mode: WritingMode): number;
    getMeasure(writing_mode: WritingMode): number;
    getWidthPerHeight(): number;
    isZero(): boolean;
    hasZero(): boolean;
}
