import { NehanElement } from "./public-api";
export declare type PositionValue = "static" | "relative" | "absolute" | "fixed" | "sticky";
export declare class Position {
    value: PositionValue;
    constructor(value: PositionValue);
    static load(element: NehanElement): Position;
    isAbsolute(): boolean;
    isRelative(): boolean;
    isStatic(): boolean;
    isFixed(): boolean;
    isSticky(): boolean;
}
