import { CssCascade, } from "./public-api";
export class Position {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        let value = CssCascade.getValue(element, "position");
        return new Position(value);
    }
    isAbsolute() {
        return this.value === "absolute";
    }
    isRelative() {
        return this.value === "relative";
    }
    isStatic() {
        return this.value === "static";
    }
    isFixed() {
        return this.value === "fixed";
    }
    isSticky() {
        return this.value === "sticky";
    }
}
//# sourceMappingURL=position.js.map