import { Utils, } from "./public-api";
export var PseudoElementTagName;
(function (PseudoElementTagName) {
    PseudoElementTagName["MARKER"] = "::marker";
    PseudoElementTagName["BEFORE"] = "::before";
    PseudoElementTagName["AFTER"] = "::after";
    PseudoElementTagName["FIRST_LINE"] = "::first-line";
    PseudoElementTagName["FIRST_LETTER"] = "::first-letter";
})(PseudoElementTagName || (PseudoElementTagName = {}));
export const PseudoElementTagNames = Utils.Enum.toValueArray(PseudoElementTagName);
export class PseudoElement {
    static isPseudoElement(element) {
        return element.tagName.substring(0, 2) === "::";
    }
    static isFirstLine(element) {
        return element.tagName === PseudoElementTagName.FIRST_LINE;
    }
}
//# sourceMappingURL=pseudo-element.js.map