import { ILogicalNodeGenerator, LayoutResult, ILayoutReducer, ReFormatContext, IReResizer } from './public-api';
export declare class ReNodeGenerator implements ILogicalNodeGenerator {
    context: ReFormatContext;
    protected reducer: ILayoutReducer;
    protected resizer: IReResizer;
    private generator;
    constructor(context: ReFormatContext, reducer?: ILayoutReducer, resizer?: IReResizer);
    getNext(): LayoutResult | undefined;
    protected createGenerator(): Generator<LayoutResult>;
}
