import { SelectorToken, Lexer } from "./public-api";
export declare class SelectorLexer extends Lexer<SelectorToken> {
    static rexMediaSelector: RegExp;
    static rexTypeSelector: RegExp;
    static rexClassSelector: RegExp;
    static rexAttrSelector: RegExp;
    static rexIdSelector: RegExp;
    static rexPseudoClass: RegExp;
    static rexPseudoElement: RegExp;
    protected normalize(source: string): string;
    protected addToken(token: SelectorToken): void;
    protected createToken(): SelectorToken;
}
