import { Utils } from "./public-api";
export class SelectorText {
    constructor(str) {
        this.value = this.normalize(str);
    }
    toString() {
        return this.value;
    }
    split() {
        return this.value.split(",");
    }
    normalize(str) {
        let norm = str.trim();
        norm = norm.replace(/\s*,\s*/g, ",");
        norm = Utils.String.multiSpaceToSingle(norm);
        return norm;
    }
}
//# sourceMappingURL=selector-text.js.map