export class Specificity {
    constructor(a, b, c) {
        this.a = a;
        this.b = b;
        this.c = c;
    }
    static add(spec1, spec2) {
        let spec = new Specificity(0, 0, 0);
        spec.a = spec1.a + spec2.a;
        spec.b = spec1.b + spec2.b;
        spec.c = spec1.c + spec2.c;
        return spec;
    }
    static compare(spec1, spec2) {
        if (spec1.a > spec2.a) {
            return 1;
        }
        if (spec1.a < spec2.a) {
            return -1;
        }
        if (spec1.b > spec2.b) {
            return 1;
        }
        if (spec1.b < spec2.b) {
            return -1;
        }
        if (spec1.c > spec2.c) {
            return 1;
        }
        if (spec1.c < spec2.c) {
            return -1;
        }
        return 0;
    }
    incA() {
        this.a++;
        return this.a;
    }
    incB() {
        this.b++;
        return this.b;
    }
    incC() {
        this.c++;
        return this.c;
    }
}
//# sourceMappingURL=specificity.js.map