import { BoxEnv, NehanElement, FlowFormatContext, LogicalBlockNode, ILayoutFormatContext, LayoutResult, TableCellsReducer } from './public-api';
export declare class TableCellsFormatContext extends FlowFormatContext {
    elements: NehanElement[];
    env: BoxEnv;
    parent?: ILayoutFormatContext | undefined;
    cells: LogicalBlockNode[];
    constructor(elements: NehanElement[], env: BoxEnv, parent?: ILayoutFormatContext | undefined);
    acceptLayoutReducer(reducer: TableCellsReducer): LayoutResult;
    setCells(cells: LogicalBlockNode[]): void;
}
