import { TextEmphasisStyle, PropValue, CssText, NehanElement } from "./public-api";
export interface TextEmphaData {
    text: string;
    styles: string[];
    scale: number;
}
export declare class TextEmphasis {
    style: TextEmphasisStyle;
    color: string;
    static parseShorthand(cssText: CssText): PropValue<string, string>[];
    static load(element: NehanElement): TextEmphasis;
    static loadColor(element: NehanElement): string;
    protected constructor();
    get textEmphaData(): TextEmphaData;
    get text(): string;
    isNone(): boolean;
}
