import { NehanElement } from "./public-api";
export declare enum TextJustifyValue {
    NONE = "none",
    AUTO = "auto",
    INTER_WORD = "inter-word",
    INTER_CHARACTER = "inter-character"
}
export declare class TextJustify {
    value: string;
    static values: string[];
    constructor(value: TextJustifyValue);
    static load(element: NehanElement): TextJustify;
    isNone(): boolean;
    isAuto(): boolean;
    isJustifyWord(): boolean;
    isJustifyCharacter(): boolean;
    isJustifySpacing(): boolean;
}
