import { CssCascade, } from "./public-api";
export class TextOrientation {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        let value = CssCascade.getValue(element, "text-orientation");
        return new TextOrientation(value);
    }
    isSideways() {
        return this.value === "sideways";
    }
    isUpright() {
        return this.value === "upright";
    }
    isMixed() {
        return this.value === "mixed";
    }
}
//# sourceMappingURL=text-orientation.js.map