import { NehanElement } from "./public-api";
export declare type WhiteSpaceValue = "normal" | "pre" | "nowrap";
export declare class WhiteSpace {
    value: WhiteSpaceValue;
    constructor(value: WhiteSpaceValue);
    isPre(): boolean;
    static load(element: NehanElement): WhiteSpace;
    static isWhiteSpaceElement(element: NehanElement): boolean;
}
