import { NehanElement } from "./public-api";
export declare type WordBreakValue = "normal" | "break-all" | "keep-all";
export declare class WordBreak {
    value: WordBreakValue;
    constructor(value: WordBreakValue);
    static load(element: NehanElement): WordBreak;
    isNormal(): boolean;
    isBreakAll(): boolean;
    isKeepAll(): boolean;
}
