import { CssCascade, } from "./public-api";
export class WordBreak {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        let value = CssCascade.getValue(element, "word-break");
        return new WordBreak(value);
    }
    isNormal() {
        return this.value === 'normal';
    }
    isBreakAll() {
        return this.value === 'break-all';
    }
    isKeepAll() {
        return this.value === 'keep-all';
    }
}
//# sourceMappingURL=word-break.js.map