import { NehanElement } from "./public-api";
export declare type WritingModeValue = 'horizontal-tb' | 'vertical-rl' | 'vertical-lr';
export declare class WritingMode {
    value: WritingModeValue;
    constructor(value: WritingModeValue);
    static load(element: NehanElement): WritingMode;
    isVerticalRl(): boolean;
    isVerticalLr(): boolean;
    isTextVertical(): boolean;
    isTextHorizontal(): boolean;
}
