import { CssCascade, } from "./public-api";
export class WritingMode {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        let value = CssCascade.getValue(element, "writing-mode");
        return new WritingMode(value);
    }
    isVerticalRl() {
        return this.value === 'vertical-rl';
    }
    isVerticalLr() {
        return this.value === 'vertical-lr';
    }
    isTextVertical() {
        return this.value.indexOf("vertical") === 0;
    }
    isTextHorizontal() {
        return this.value.indexOf("horizontal") === 0;
    }
}
//# sourceMappingURL=writing-mode.js.map