import { ILogicalNodeGenerator, LayoutResult, ILayoutReducer, FlowFormatContext } from './public-api';
export declare class BlockNodeGenerator implements ILogicalNodeGenerator {
    context: FlowFormatContext;
    protected blockReducer: ILayoutReducer;
    protected lineReducer: ILayoutReducer;
    private generator;
    constructor(context: FlowFormatContext, blockReducer?: ILayoutReducer, lineReducer?: ILayoutReducer);
    getNext(): LayoutResult | undefined;
    protected createGenerator(): Generator<LayoutResult>;
}
