export class Color {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        const value = element.computedStyle.getPropertyValue("color") || "inherit";
        return new Color(value);
    }
    acceptCssEvaluator(visitor) {
        return visitor.visitColor(this);
    }
}
//# sourceMappingURL=color.js.map