import { NehanElement } from "./public-api";
export declare class ComputedStyle {
    static setComputedValue(element: NehanElement): void;
    static setValue(element: NehanElement, prop: string): void;
    static getFontSize(element: NehanElement): number;
    static getLineHeightString(element: NehanElement): string;
    static getEdgeSize(element: NehanElement, prop: string): number;
    static getBorderWidth(element: NehanElement, prop: string): number;
    static setPadding(element: NehanElement): void;
    static setBorderWidth(element: NehanElement): void;
    static setBorderStyle(element: NehanElement): void;
    static setBorderColor(element: NehanElement): void;
    static setBorderRadius(element: NehanElement): void;
    static setMargin(element: NehanElement): void;
    static setMeasure(element: NehanElement): void;
    static setExtent(element: NehanElement): void;
    static setPosition(element: NehanElement): void;
}
