import { ICharacter } from "./public-api";
export declare namespace Config {
    let lang: string;
    let engineVersion: number;
    let pageRootTagName: string;
    let normalizeHtml: (html: string) => string;
    let maxPageCount: number;
    let maxJustifyGap: number;
    let ignoreEmptyLine: boolean;
    let ignoreEmptyInline: boolean;
    let ignoreZeroRe: boolean;
    let debugImageLoader: boolean;
    let debugCharacter: boolean;
    let debugLayout: boolean;
    let useStrictFormatContextName: boolean;
    let defaultFontSize: number;
    let defaultFontFamily: string;
    let defaultFont: string;
    let defaultBodyMeasure: number;
    let defaultBodyExtent: number;
    let defaultLineHeight: number;
    let defaultBorderColor: string;
    let defaultTableBorderColor: string;
    let defaultFloatMeasure: number;
    let defaultInlineBlockMeasure: number;
    let nonOmitWhiteSpaces: string[];
    let unmanagedCssProps: string[];
    let nonLayoutTags: string[];
    let fontSizeOnlyTags: string[];
    let edgeSkipTags: string[];
    let boxSizeSkipTags: string[];
    let ignoredTags: string[];
    let IgnoredInlineStyleProps: string[];
    let rexWord: RegExp;
    let rexRefChar: RegExp;
    let isTcyWord: (word: string, context: {
        prev?: ICharacter;
        next?: ICharacter;
    }) => boolean;
    let rexHalfChar: RegExp;
    let rexSpace: RegExp;
    let rexSpaceCharRef: RegExp;
    let rexVoicedMark: RegExp;
}
