import { ILogicalNodeEffector, IFlowRootFormatContext, LogicalLineNode, LogicalBlockNode, LogicalRubyNode, LogicalInlineNode, LogicalInlineBlockNode, LogicalTableCellsNode, LogicalBlockReNode, LogicalInlineReNode } from "./public-api";
export declare class DomCallbackEffector implements ILogicalNodeEffector {
    private pageRoot;
    constructor(pageRoot: IFlowRootFormatContext);
    private visitNode;
    private visitTree;
    private visitChildren;
    visitLine(node: LogicalLineNode): void;
    visitRuby(node: LogicalRubyNode): void;
    visitInline(node: LogicalInlineNode): void;
    visitBlock(node: LogicalBlockNode): void;
    visitInlineBlock(node: LogicalInlineBlockNode): void;
    visitTableCells(node: LogicalTableCellsNode): void;
    visitBlockImage(node: LogicalBlockReNode): void;
    visitInlineImage(node: LogicalInlineReNode): void;
    visitBlockVideo(node: LogicalBlockReNode): void;
    visitInlineVideo(node: LogicalInlineReNode): void;
}
