export declare class DomTokenList {
    protected tokens: string[];
    constructor(items?: string[]);
    get length(): number;
    item(index: number): string | undefined;
    contains(token: string): boolean;
    add(token: string): void;
    remove(token: string): string[];
    replace(old_token: string, new_token: string): string[];
    supports(token: string): boolean;
    toggle(token: string, force?: boolean): boolean;
    entries(): string[];
    keys(): string[];
    values(): string[];
    forEach(callback: (cur: string, index?: number, list?: string[]) => void): void;
}
