import { Selector } from "./public-api";
export class IdSelector extends Selector {
    constructor(id_name) {
        super();
        this.idName = id_name;
        this.specificity.a = 1;
    }
    toString() {
        return "#" + this.idName;
    }
    test(element) {
        return element.id === this.idName;
    }
}
//# sourceMappingURL=id-selector.js.map