export class Kerning {
    constructor() { }
    set(cur, prev) {
        if (!prev.isKernEnable()) {
            return false;
        }
        if (prev.isOpenParen() && cur.isCloseParen()) {
            return false;
        }
        if (prev.isCloseParen() && cur.isOpenParen()) {
            return false;
        }
        if (prev.isOpenParen() && !cur.isParen()) {
            return false;
        }
        if (cur.isKernEnable()) {
            cur.kerning = true;
            return true;
        }
        return false;
    }
}
Kerning.instance = new Kerning();
//# sourceMappingURL=kerning.js.map