import { NehanElement, BoxEnv, ILogicalNodeGenerator } from './public-api';
export declare class InlineMargin {
    static getMarginFromParentBlock(element: NehanElement): number;
    static getMarginFromLastInline(element: NehanElement): number;
}
export declare class BlockMargin {
    static getLastChildren(element: NehanElement): NehanElement[];
    static getFirstChildren(element: NehanElement): NehanElement[];
    static getMaxMarginBefore(element: NehanElement): number;
    static getMaxMarginAfter(element: NehanElement): number;
    static getFlowMarginFromLastElement(parentEnv: BoxEnv, curGen: ILogicalNodeGenerator, prevGen?: ILogicalNodeGenerator): number;
}
