import { LayoutSection } from "./public-api";
export interface ILayoutOutlineEvaluator {
    visitSectionRoot: (section: LayoutSection) => HTMLElement;
    visitSectionNode: (section: LayoutSection) => HTMLElement;
    visitSectionLeaf: (section: LayoutSection) => HTMLElement;
}
export declare class LayoutOutlineEvaluator {
    private createTitle?;
    constructor(createTitle?: ((section: LayoutSection) => HTMLElement | Node) | undefined);
    visitSectionRoot(section: LayoutSection): HTMLElement;
    visitSectionNode(section: LayoutSection): HTMLElement;
    visitSectionLeaf(section: LayoutSection): HTMLElement;
    private visitSectionChildren;
}
