import { NehanElement } from "./public-api";
export declare class LayoutSection {
    parent?: LayoutSection;
    header?: NehanElement;
    children: LayoutSection[];
    closed: boolean;
    pageIndex: number;
    constructor(header?: NehanElement);
    isRoot(): boolean;
    isNode(): boolean;
    isLeaf(): boolean;
    setHeader(header: NehanElement): void;
    addChild(child: LayoutSection): LayoutSection;
    get level(): number;
    get title(): string;
    getClosestSectionByPageIndex(pageIndex: number, last: LayoutSection): LayoutSection;
    static isHeaderElement(element: NehanElement): boolean;
    static getHeaderLevel(element: NehanElement): number;
    static isSectioningElement(element: NehanElement): boolean;
    static isSectioningRootElement(element: NehanElement): boolean;
}
