import { CssCascade, } from "./public-api";
export class LogicalBackgroundPos {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        const value = CssCascade.getValue(element, "background-position");
        return new LogicalBackgroundPos(value);
    }
    acceptCssEvaluator(visitor) {
        return visitor.visitBackgroundPos(this);
    }
}
//# sourceMappingURL=logical-background-pos.js.map