import { LogicalPos, NativeStyleMap, ILogicalCssEvaluator } from "./public-api";
export interface ILogicalCursorPos {
    before: number;
    start: number;
}
export declare class LogicalCursorPos implements ILogicalCursorPos {
    before: number;
    start: number;
    constructor(value: ILogicalCursorPos);
    static get zero(): LogicalCursorPos;
    static get zeroValue(): ILogicalCursorPos;
    zero(): void;
    clone(): LogicalCursorPos;
    cloneValue(): ILogicalCursorPos;
    get logicalPos(): LogicalPos;
    toString(): string;
    translate(offset: ILogicalCursorPos): LogicalCursorPos;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
}
