import { CssCascade, } from "./public-api";
export class LogicalFloat {
    constructor(value) {
        this.value = (value !== "start" && value !== "end" && value !== "none") ? "none" : value;
    }
    isFloat() {
        return this.isNone() === false;
    }
    isStart() {
        return this.value === "start";
    }
    isEnd() {
        return this.value === "end";
    }
    isNone() {
        return this.value === "none";
    }
    static load(element) {
        let value = CssCascade.getValue(element, "float");
        return new LogicalFloat(value);
    }
}
//# sourceMappingURL=logical-float.js.map