import { NehanElement, NativeStyleMap, ILogicalCssEvaluator } from "./public-api";
export interface LogicalPosValue {
    before?: number;
    end?: number;
    after?: number;
    start?: number;
}
export declare class LogicalPos {
    before?: number;
    end?: number;
    after?: number;
    start?: number;
    constructor(value: LogicalPosValue);
    static load(element: NehanElement): LogicalPos;
    static loadEach(element: NehanElement, prop: string): number | undefined;
    hasValue(): boolean;
    acceptCssEvaluator(visitor: ILogicalCssEvaluator): NativeStyleMap;
}
