import { CssCascade, } from "./public-api";
export class LogicalTextAlign {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        let value = CssCascade.getValue(element, "text-align");
        return new LogicalTextAlign(value);
    }
    isStart() {
        return this.value === "start";
    }
    isEnd() {
        return this.value === "end";
    }
    isCenter() {
        return this.value === "center";
    }
    isJustify() {
        return this.value === "justify";
    }
}
//# sourceMappingURL=logical-text-align.js.map