import { ICharacter, LogicalSize, Font, TextEmphaData, ILogicalNodeEvaluator } from "./public-api";
export declare class MixChar implements ICharacter {
    text: string;
    size: LogicalSize;
    kerning: boolean;
    spacing: number;
    charCount: number;
    empha?: TextEmphaData;
    constructor(str: string);
    setMetrics(opts: {
        font: Font;
        isVertical: boolean;
        empha?: TextEmphaData;
    }): void;
    toString(): string;
    acceptEvaluator(visitor: ILogicalNodeEvaluator): HTMLElement | Node;
}
