import { CssCascade, } from "./public-api";
export class OverflowWrap {
    constructor(value) {
        this.value = value;
    }
    static load(element) {
        let value = CssCascade.getValue(element, "overflow-wrap");
        return new OverflowWrap(value);
    }
    isNormal() {
        return this.value === "normal";
    }
    isBreakWord() {
        return this.value === "break-word";
    }
}
//# sourceMappingURL=overflow-wrap.js.map