import { ReFormatContext, LogicalSize } from './public-api';
export interface IReResizer {
    resize: (context: ReFormatContext, originalSize: LogicalSize, maxSize: LogicalSize) => LogicalSize;
}
export declare class ReShrinkResizer implements IReResizer {
    static instance: ReShrinkResizer;
    protected constructor();
    resize(context: ReFormatContext, originalSize: LogicalSize, maxSize: LogicalSize): LogicalSize;
}
export declare class ReIdResizer implements IReResizer {
    static instance: ReIdResizer;
    protected constructor();
    resize(_context: ReFormatContext, originalSize: LogicalSize, _maxSize: LogicalSize): LogicalSize;
}
