import { CssStyleSheet } from "./public-api";
export interface SemanticStyleCreateOptions {
    all?: boolean;
    listStyle?: boolean;
    textAlign?: boolean;
    textOrientation?: boolean;
    textCombine?: boolean;
    textEmphasis?: boolean;
    logicalFloat?: boolean;
    pageBreak?: boolean;
    typography?: boolean;
}
export declare class SemanticStyle {
    static create(options: SemanticStyleCreateOptions): CssStyleSheet;
}
