import { ILogicalNodeGenerator, LayoutResult, TableCellsFormatContext, TableCellsReducer } from './public-api';
export declare class TableCellsGenerator implements ILogicalNodeGenerator {
    context: TableCellsFormatContext;
    reducer: TableCellsReducer;
    private generator;
    constructor(context: TableCellsFormatContext, reducer?: TableCellsReducer);
    getNext(): LayoutResult | undefined;
    createGenerator(): Generator<LayoutResult>;
}
