import { ILogicalNodeGenerator, LayoutResult, ILayoutReducer, TextFormatContext, IHyphenator, IKerning } from './public-api';
export declare class TextNodeGenerator implements ILogicalNodeGenerator {
    context: TextFormatContext;
    private reducer;
    private hyphenator;
    private kerning;
    private generator;
    constructor(context: TextFormatContext, reducer?: ILayoutReducer, hyphenator?: IHyphenator, kerning?: IKerning);
    getNext(): LayoutResult | undefined;
    private createGenerator;
}
