import { NehanElement } from "./public-api";
export declare type TextOrientationValue = "mixed" | "upright" | "sideways";
export declare class TextOrientation {
    value: TextOrientationValue;
    static load(element: NehanElement): TextOrientation;
    constructor(value: TextOrientationValue);
    isSideways(): boolean;
    isUpright(): boolean;
    isMixed(): boolean;
}
