import { ICharacter, LogicalSize, Tcy, Font, TextEmphaData, ILogicalNodeEvaluator } from "./public-api";
export declare class Word implements ICharacter {
    text: string;
    size: LogicalSize;
    kerning: boolean;
    spacing: number;
    constructor(str: string);
    get charCount(): number;
    toString(): string;
    setMetrics(opts: {
        font: Font;
        isVertical: boolean;
        empha?: TextEmphaData;
    }): void;
    toTcys(): Tcy[];
    breakWord(measure: number): Word;
    restoreBrokenWord(word: Word): void;
    acceptEvaluator(visitor: ILogicalNodeEvaluator): HTMLElement | Node;
}
